Subject: bug#7987: 23.2; Refill error in message-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Feb 2011 14:50:42 -0500

> Hmm. I guess you're right, although this behavior doesn't seem to be
> mentioned in the Manual. I'm using message-mode with Mutt, so there are
> no headers in the buffer.

No headers at all?  Where's the subject, then?

> But for what it's worth, one of the Emacs maintainers did look
> this over and think it was a bug, so I'm not the only one confused.

Indeed, I naively tried M-x message-mode in *scratch* and refilled some
indented text, without paying much attention to the fact that there was
no header.

> I'll experiment further and will update if necessary. Is there a
> preferred way to tell message-mode to assume that the buffer is a
> message body, rather than a header?

Add a header.

Maybe it would be be good to make message-mode accept an empty line as
a mail-header-separator (as does rfc822-goto-eoh).

        Stefan